Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List document spaces

GET/workspaces/{organizationId}/document-spaces
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Document spaces

spacesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
descriptionstring | nullrequired
iconstring | nullrequired
publicSharingbooleanrequired
restrictedbooleanrequired
createdByIdstringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/document-spaces' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "spaces": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "description": "string",
      "icon": "string",
      "publicSharing": true,
      "restricted": true,
      "createdById": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?